{% extends "admin_pages_app/base.html" %}
{% block content %}
    <div id="content-main" class="col-12">
        {% if error %}
            <h1 class="text-center">{{ error }}</h1>
        {% else %}
            <h1 class="text-center mb-4">{{ title }}</h1>
            <div class="justify-content-center d-flex">
                <table class="table">
                    <thead class="thead-dark">
                        <tr>
                            {% for header in table_header_row %}<th scope="col">{{ header }}</th>{% endfor %}
                        </tr>
                    </thead>
                    <tbody>
                        {% for object in objects %}
                            <tr>
                                <td>
                                    <h4>
                                        <a href="{{ object.url }}">{{ object.title }}</a>
                                    </h4>
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        {% endif %}
    </div>
{% endblock content %}
